/*
* Copyright (c) 2003, University of Maryland 
* Copyright (c) 2003, Center for Satellite and Hybrid Communication Networks 
* All rights reserved.
*
* Redistribution and use in source and binary forms, with or without 
* modification, are permitted provided that the following conditions 
* are met:
*
*   * Redistributions of source code must retain the above copyright notice, 
*     this list of conditions,the authors and the following disclaimer.
*   * Redistributions in binary form must reproduce the above copyright notice,
*     this list of conditions,the authors and the following disclaimer in
*     the documentation and/or other materials provided with the distribution.
*   * Neither the name of the University of Maryland/Center for Satellite
*     and Hybrid Communication Networks nor the names of its 
*     contributors may be used to endorse or promote products derived from 
*     this software without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
* ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
* LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
* CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
* SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
* INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
* CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
* ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
* POSSIBILITY OF SUCH DAMAGE.
*
*/

/* Authors: 
*     Jonathan Polley (jpolley@isr.umd.edu),
*     Dionysus Blazakis (dblaze@isr.umd.edu),
*     Jonathan McGee (mcgee@isr.umd.edu),
*     Daniel Rusk (ruskd@isr.umd.edu),
*     Karl Seamon (kks@isr.umd.edu),
*     Manish Karir (karir@isr.umd.edu)
*/

#ifndef XATDB_CALLBACKS_H
#define XATDB_CALLBACKS_H

#include <gtk/gtk.h>

void
menu_file_open_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void 
debug_clear_all_clicked                (GtkWidget *w );


void
menu_file_quit_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
menu_edit_copy_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean 
break_window_popup                     (GtkWidget *widget, 
                                        GdkEventButton *event,
                                        gpointer  data);

void 
break_popup_clear_break                (GtkWidget *widget,
                                        gpointer data);

void select_cfile(GtkWidget *widget, gpointer data);

void 
watch_popup_clear_watch                (GtkWidget *widget,
                                        gpointer data);
gboolean 
watch_window_popup                     (GtkWidget *widget, 
                                        GdkEventButton *event,
                                        gpointer  data);
                                        
gboolean text_selected( GtkWidget *widget, gpointer null );

void on_edit_select_all_activate( GtkMenuItem *menuItem, gpointer user_data );
void on_edit_deselect_all_activate( GtkMenuItem *menuItem, gpointer user_data );

void on_set_watch_activate( GtkWidget *widget, gpointer data );
void on_clear_watch_activate( GtkWidget *widget, gpointer data );
void on_clear_all_watchpoints_activate( GtkWidget *widget, gpointer data );

gboolean on_window1_configure(GtkWidget *widget, GdkEventConfigure *event);
void vpane_change_position(GObject *object, GParamSpec *pspec, gpointer data);
void hpane_change_position(GObject *object, GParamSpec *pspec, gpointer data);
gboolean notebook_chips_select(GtkNotebook *book, GtkNotebookPage *page, guint page_num, gpointer data);
gboolean code_window_popup(GtkTextView *textview, GtkMenu *arg1, gpointer user_data);
gboolean mark_to_click(GtkTextView *view, GdkEventButton *event, gpointer data);
void add_breakpoint_menu_items( GtkMenuShell *menu, GtkTextView *textview, int break_on, long addr );
GtkWidget *xatdb_new_menu_item( char *icon_str, char *label );
GtkWidget *xatdb_prepend_new_menu_item( char *icon_str, char *label, GtkMenuShell *menu );
gboolean click_globals(GtkWidget *tv, GdkEventButton *event, gpointer null);
gboolean click_locals(GtkWidget *tv, GdkEventButton *event, gpointer null);
gboolean treeview_globals_selection_changed( GtkTreeSelection *widget, gpointer null );
gboolean treeview_watch_selection_changed( GtkTreeSelection *widget, gpointer null );
gboolean watch_focus_out( GtkWidget *widget, gpointer null );

#endif
